Index: /branches/2011/dev_LOCEAN_2011/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces	(revision 2996)
+++ /branches/2011/dev_LOCEAN_2011/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces	(revision 2997)
@@ -46,8 +46,8 @@
    conc0      =  2.e-6    ! Phosphate half saturation
    conc1      =  8E-6     ! Phosphate half saturation for diatoms
-   conc2      =  1E-9     ! Iron half saturation for phyto
-   conc2m     =  3E-9     ! Max iron half saturation for phyto
-   conc3      =  2E-9     ! Iron half saturation for diatoms
-   conc3m     =  8E-9     ! Maxi iron half saturation for diatoms
+   conc2      =  2E-9     ! Iron half saturation for phyto
+   conc2m     =  4E-9     ! Max iron half saturation for phyto
+   conc3      =  3E-9     ! Iron half saturation for diatoms
+   conc3m     =  9E-9     ! Maxi iron half saturation for diatoms
    xsizedia   =  5.E-7    ! Minimum size criteria for diatoms
    xsizephy   =  1.E-6    ! Minimum size criteria for phyto
@@ -65,5 +65,5 @@
 &nampisprod     !   parameters for phytoplankton growth
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   pislope    =  2.       ! P-I slope
+   pislope    =  3.       ! P-I slope
    pislope2   =  2.       ! P-I slope  for diatoms
    excret     =  0.05     ! excretion ratio of phytoplankton
@@ -91,7 +91,7 @@
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
    part2      =  0.75    ! part of calcite not dissolved in mesozoo guts
-   grazrat2   =  0.9      ! maximal mesozoo grazing rate
+   grazrat2   =  0.7      ! maximal mesozoo grazing rate
    resrat2    =  0.005    ! exsudation rate of mesozooplankton
-   mzrat2     =  0.04     ! mesozooplankton mortality rate
+   mzrat2     =  0.03     ! mesozooplankton mortality rate
    xprefc     =  1.       ! zoo preference for phyto
    xprefp     =  0.3      ! zoo preference for POC
@@ -104,5 +104,5 @@
    xthresh2   =  0.       ! Food threshold for grazing
    xkgraz2    =  20.E-6   ! half sturation constant for meso grazing
-   epsher2    =  0.3      ! Efficicency of Mesozoo growth
+   epsher2    =  0.33     ! Efficicency of Mesozoo growth
    sigma2     =  0.6      ! Fraction of mesozoo excretion as DOM
    unass2     =  0.3      ! non assimilated fraction of P by mesozoo
@@ -116,5 +116,5 @@
    resrat     =  0.03     ! exsudation rate of zooplankton
    mzrat      =  0.0      ! zooplankton mortality rate
-   xpref2c    =  0.2      ! Microzoo preference for POM
+   xpref2c    =  0.1      ! Microzoo preference for POM
    xpref2p    =  1.       ! Microzoo preference for Nanophyto
    xpref2d    =  0.6      ! Microzoo preference for Diatoms
@@ -124,5 +124,5 @@
    xthresh    =  0.       ! Food threshold for feeding
    xkgraz     =  20.E-6   ! half sturation constant for grazing
-   epsher     =  0.3      ! Efficiency of microzoo growth
+   epsher     =  0.33     ! Efficiency of microzoo growth
    sigma1     =  0.6      ! Fraction of microzoo excretion as DOM
    unass      =  0.3      ! non assimilated fraction of phyto by zoo
Index: /branches/2011/dev_LOCEAN_2011/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces	(revision 2996)
+++ /branches/2011/dev_LOCEAN_2011/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces	(revision 2997)
@@ -46,8 +46,8 @@
    conc0      =  2.e-6    ! Phosphate half saturation
    conc1      =  8E-6     ! Phosphate half saturation for diatoms
-   conc2      =  1E-9     ! Iron half saturation for phyto
-   conc2m     =  3E-9     ! Max iron half saturation for phyto
-   conc3      =  2E-9     ! Iron half saturation for diatoms
-   conc3m     =  8E-9     ! Maxi iron half saturation for diatoms
+   conc2      =  2E-9     ! Iron half saturation for phyto
+   conc2m     =  4E-9     ! Max iron half saturation for phyto
+   conc3      =  3E-9     ! Iron half saturation for diatoms
+   conc3m     =  9E-9     ! Maxi iron half saturation for diatoms
    xsizedia   =  5.E-7    ! Minimum size criteria for diatoms
    xsizephy   =  1.E-6    ! Minimum size criteria for phyto
@@ -65,5 +65,5 @@
 &nampisprod     !   parameters for phytoplankton growth
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   pislope    =  2.       ! P-I slope
+   pislope    =  3.       ! P-I slope
    pislope2   =  2.       ! P-I slope  for diatoms
    excret     =  0.05     ! excretion ratio of phytoplankton
@@ -91,7 +91,7 @@
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
    part2      =  0.75    ! part of calcite not dissolved in mesozoo guts
-   grazrat2   =  0.9      ! maximal mesozoo grazing rate
+   grazrat2   =  0.7      ! maximal mesozoo grazing rate
    resrat2    =  0.005    ! exsudation rate of mesozooplankton
-   mzrat2     =  0.04     ! mesozooplankton mortality rate
+   mzrat2     =  0.03     ! mesozooplankton mortality rate
    xprefc     =  1.       ! zoo preference for phyto
    xprefp     =  0.3      ! zoo preference for POC
@@ -104,5 +104,5 @@
    xthresh2   =  0.       ! Food threshold for grazing
    xkgraz2    =  20.E-6   ! half sturation constant for meso grazing
-   epsher2    =  0.3      ! Efficicency of Mesozoo growth
+   epsher2    =  0.33     ! Efficicency of Mesozoo growth
    sigma2     =  0.6      ! Fraction of mesozoo excretion as DOM
    unass2     =  0.3      ! non assimilated fraction of P by mesozoo
@@ -116,5 +116,5 @@
    resrat     =  0.03     ! exsudation rate of zooplankton
    mzrat      =  0.0      ! zooplankton mortality rate
-   xpref2c    =  0.2      ! Microzoo preference for POM
+   xpref2c    =  0.1      ! Microzoo preference for POM
    xpref2p    =  1.       ! Microzoo preference for Nanophyto
    xpref2d    =  0.6      ! Microzoo preference for Diatoms
@@ -124,5 +124,5 @@
    xthresh    =  0.       ! Food threshold for feeding
    xkgraz     =  20.E-6   ! half sturation constant for grazing
-   epsher     =  0.3      ! Efficiency of microzoo growth
+   epsher     =  0.33     ! Efficiency of microzoo growth
    sigma1     =  0.6      ! Fraction of microzoo excretion as DOM
    unass      =  0.3      ! non assimilated fraction of phyto by zoo
Index: /branches/2011/dev_LOCEAN_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zsink.F90
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zsink.F90	(revision 2996)
+++ /branches/2011/dev_LOCEAN_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zsink.F90	(revision 2997)
@@ -457,6 +457,8 @@
          DO jj = 1, jpj
             DO ji = 1,jpi
-               zmax  = MAX( heup(ji,jj), hmld(ji,jj) )
-               zfact = MAX( 0., fsdepw(ji,jj,jk+1) - zmax ) / 5000._wp
+      !         zmax  = MAX( heup(ji,jj), hmld(ji,jj) )
+      !         zfact = MAX( 0., fsdepw(ji,jj,jk+1) - zmax ) / 5000._wp
+               zmax = hmld(ji,jj)
+               zfact = MAX( 0., fsdepw(ji,jj,jk+1) - zmax ) / 4000._wp
                wsbio4(ji,jj,jk) = wsbio2 + ( 200.- wsbio2 ) * zfact
             END DO
Index: /branches/2011/dev_LOCEAN_2011/NEMOGCM/NEMO/TOP_SRC/trc.F90
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/NEMO/TOP_SRC/trc.F90	(revision 2996)
+++ /branches/2011/dev_LOCEAN_2011/NEMOGCM/NEMO/TOP_SRC/trc.F90	(revision 2997)
@@ -23,5 +23,6 @@
    !! parameters for the control of passive tracers
    !! --------------------------------------------------
-   INTEGER, PUBLIC                                                 ::   numnat        !: the number of the passive tracer NAMELIST
+   INTEGER, PUBLIC                                                 ::   numnat        !: logicla unit for the passive tracer NAMELIST
+   INTEGER, PUBLIC                                                 ::   numstr        !: logical unit for tracer statistics
 
    !! passive tracers fields (before,now,after)
Index: /branches/2011/dev_LOCEAN_2011/NEMOGCM/NEMO/TOP_SRC/trcini.F90
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 2996)
+++ /branches/2011/dev_LOCEAN_2011/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 2997)
@@ -94,4 +94,10 @@
       IF( lk_my_trc  ) THEN   ;   CALL trc_ini_my_trc       ! MY_TRC  tracers
       ELSE                    ;   IF(lwp) WRITE(numout,*) '          MY_TRC not used'
+      ENDIF
+
+      IF( lwp ) THEN
+         !
+         CALL ctl_opn( numstr, 'tracer.stat', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE., narea )
+         !
       ENDIF
 
@@ -153,10 +159,11 @@
          WRITE(numout,*) '          *** Total volume of ocean                = ', areatot
          WRITE(numout,*) '          *** Total inital content of all tracers '
+         WRITE(numout,*)
          DO jn = 1, jptra
-            WRITE(numout,*) ' tracer nb : ', jn, '  name : ', ctrcnm(jn), ' initial content :', trai(jn)
+            WRITE(numout,9000) jn, TRIM( ctrcnm(jn) ), trai(jn)
          ENDDO
          WRITE(numout,*)
       ENDIF
-
+      WRITE(numout,*)
       IF(ln_ctl) THEN            ! print mean trends (used for debugging)
          CALL prt_ctl_trc_init
@@ -165,4 +172,5 @@
          CALL prt_ctl_trc( tab4d=trn, mask=tmask, clinfo=ctrcnm )
       ENDIF
+9000  FORMAT(' tracer nb : ',i2,'      name :',a10,'      initial content :',e18.10)
       !
    END SUBROUTINE trc_init
Index: /branches/2011/dev_LOCEAN_2011/NEMOGCM/NEMO/TOP_SRC/trcrst.F90
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/NEMO/TOP_SRC/trcrst.F90	(revision 2996)
+++ /branches/2011/dev_LOCEAN_2011/NEMOGCM/NEMO/TOP_SRC/trcrst.F90	(revision 2997)
@@ -303,9 +303,10 @@
          zmean  = ztraf / areatot
          zdrift = ( ( ztraf - trai(jn) ) / ( trai(jn) + 1.e-12 )  ) * 100._wp
-         IF(lwp) WRITE(numout,*) ' tracer nb : ', jn,'   ', TRIM( ctrcnm(jn) ) , &
-            &    ' mean = ', zmean, ' min = ', zmin, ' max = ', zmax, ' drift = ', zdrift, ' %'
+         IF(lwp) WRITE(numout,9000) jn, TRIM( ctrcnm(jn) ), zmean, zmin, zmax, zdrift
       END DO
       WRITE(numout,*) 
-      
+9000  FORMAT(' tracer nb :',i2,'    name :',a10,'    mean :',e18.10,'    min :',e18.10, &
+      &      '    max :',e18.10,'    drift :',e18.10, ' %')
+      !
    END SUBROUTINE trc_rst_stat
 
Index: /branches/2011/dev_LOCEAN_2011/NEMOGCM/NEMO/TOP_SRC/trcstp.F90
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/NEMO/TOP_SRC/trcstp.F90	(revision 2996)
+++ /branches/2011/dev_LOCEAN_2011/NEMOGCM/NEMO/TOP_SRC/trcstp.F90	(revision 2997)
@@ -47,6 +47,7 @@
       !!              Update the passive tracers
       !!-------------------------------------------------------------------
-      INTEGER, INTENT( in ) ::  kt  ! ocean time-step index
-      INTEGER               ::  jk  !
+      INTEGER, INTENT( in ) ::  kt      ! ocean time-step index
+      INTEGER               ::  jk, jn  ! dummy loop indices
+      REAL(wp)              ::  ztrai
       CHARACTER (len=25)    ::  charout
       !!-------------------------------------------------------------------
@@ -90,4 +91,11 @@
          !
       ENDIF
+      !
+      ztrai = 0._wp                                                   !  content of all tracers
+      DO jn = 1, jptra
+         ztrai = ztrai + glob_sum( trn(:,:,:,jn) * cvol(:,:,:)   )
+      END DO
+      IF( lwp ) WRITE(numstr,9300) kt,  ztrai / areatot
+9300  FORMAT(' iter :',i4,'    global content :',e18.10)
 
    END SUBROUTINE trc_stp