Index: /branches/2011/dev_LOCEAN_2011/DOC/TexFiles/Chapters/Chap_DOM.tex
===================================================================
--- /branches/2011/dev_LOCEAN_2011/DOC/TexFiles/Chapters/Chap_DOM.tex	(revision 3036)
+++ /branches/2011/dev_LOCEAN_2011/DOC/TexFiles/Chapters/Chap_DOM.tex	(revision 3037)
@@ -832,2 +832,22 @@
 \gmcomment{   \colorbox{yellow}{Add one word on tricky trick !} mbathy in further modified in zdfbfr{\ldots}.  }
 %%%
+
+% ================================================================
+% Domain: Initial State (dtatsd & istate)
+% ================================================================
+\section  [Domain: Initial State (\textit{istate & dtatsd})]
+		{Domain: Initial State \small{(\mdl{istate & dtatsd} modules)} }
+\label{DTA_tsd}
+%-----------------------------------------namtsd-------------------------------------------
+\namdisplay{namtsd} 
+%------------------------------------------------------------------------------------------
+
+By default, we assume that the velocity field is set to zero at the start. 
+The initialisation of temperature and salinity fields is controlled by the namelist parameter (\np{ln\_tsd_init})
+\begin{description}
+\item[ln{\_}tsd_init = .true.]  use of climatologies that can be given on the model grid itself or 
+on their native input data grid. In the latter case, the data will be interpolated on-the-fly both in the 
+horizontal and the vertical to the model grid (see \S~\ref{SBC_iof}). 
+The computation is done in the \mdl{dtatsd} module.
+\item[ln{\_}tsd_init = .false.] use salinity constant value of 35.5 psu and an analytical profile of temperature, 
+see subroutine \rou{istate\_t\_s} (called from \mdl{istate} module).
Index: /branches/2011/dev_LOCEAN_2011/DOC/TexFiles/Chapters/Chap_TRA.tex
===================================================================
--- /branches/2011/dev_LOCEAN_2011/DOC/TexFiles/Chapters/Chap_TRA.tex	(revision 3036)
+++ /branches/2011/dev_LOCEAN_2011/DOC/TexFiles/Chapters/Chap_TRA.tex	(revision 3037)
@@ -1053,6 +1053,4 @@
 %--------------------------------------------namtra_dmp-------------------------------------------------
 \namdisplay{namtra_dmp}
-\namdisplay{namdta_tem}
-\namdisplay{namdta_sal}
 %--------------------------------------------------------------------------------------------------------------
 
@@ -1067,7 +1065,7 @@
 where $\gamma$ is the inverse of a time scale, and $T_o$ and $S_o$ 
 are given temperature and salinity fields (usually a climatology). 
-The restoring term is added when \key{tradmp} is defined. 
-It also requires that both \key{dtatem} and \key{dtasal} are defined 
-and fill in \textit{namdta\_tem} and \textit{namdta\_sal namelists} 
+The restoring term is added when the namelist parameter \np{ln\_tradmp} is set to true. 
+It also requires that both \np{ln\_tsd_init} and \np{ln\_tsd_tradmp} are set to true
+and fill in \textit{namtsd} namelist} 
 ($i.e.$ that $T_o$ and $S_o$ are read using \mdl{fldread}, 
 see \S\ref{SBC_fldread}). The restoring coefficient $\gamma$ is 
Index: anches/2011/dev_LOCEAN_2011/DOC/TexFiles/Namelist/namdta_sal
===================================================================
--- /branches/2011/dev_LOCEAN_2011/DOC/TexFiles/Namelist/namdta_sal	(revision 3036)
+++ 	(revision )
@@ -1,9 +1,0 @@
-!-----------------------------------------------------------------------
-&namdta_sal    !   data : salinity                                      ("key_dtasal")
-!-----------------------------------------------------------------------
-!              ! file name ! frequency (hours)    ! variable ! time interp. ! clim  !'yearly' or ! weights  ! rotation !
-!              !           !  (if <0  months)     !   name   !   (logical)  ! (T/F) ! 'monthly'  ! filename ! pairing  !
-   sn_sal      =  'data_1m_salinity_nomask',  -1  ,'vosaline',    .true.    , .true., 'yearly'   , ''       , ' '
-   !
-   cn_dir      = './'      !  root directory for the location of the runoff files
-/
Index: anches/2011/dev_LOCEAN_2011/DOC/TexFiles/Namelist/namdta_tem
===================================================================
--- /branches/2011/dev_LOCEAN_2011/DOC/TexFiles/Namelist/namdta_tem	(revision 3036)
+++ 	(revision )
@@ -1,9 +1,0 @@
-!-----------------------------------------------------------------------
-&namdta_tem    !   data : temperature                                   ("key_dtatem")
-!-----------------------------------------------------------------------
-!              ! file name ! frequency (hours)    ! variable ! time interp. ! clim  !'yearly' or ! weights  ! rotation !
-!              !           !  (if <0  months)     !   name   !  (logical)   ! (T/F) ! 'monthly'  ! filename ! pairing  !
-   sn_tem = 'data_1m_potential_temperature_nomask', -1,'votemper',  .true.  , .true., 'yearly'   , ' '      , ' '
-   !
-   cn_dir       = './'     !  root directory for the location of the runoff files
-/
Index: /branches/2011/dev_LOCEAN_2011/DOC/TexFiles/Namelist/namtra_dmp
===================================================================
--- /branches/2011/dev_LOCEAN_2011/DOC/TexFiles/Namelist/namtra_dmp	(revision 3036)
+++ /branches/2011/dev_LOCEAN_2011/DOC/TexFiles/Namelist/namtra_dmp	(revision 3037)
@@ -1,9 +1,10 @@
 !-----------------------------------------------------------------------
-&namtra_dmp    !   tracer: T & S newtonian damping                      ('key_tradmp')
+&namtra_dmp    !   tracer: T & S newtonian damping
 !-----------------------------------------------------------------------
+   ln_tradmp   =  .true.   !  add a damping termn (T) or not (F)
    nn_hdmp     =   -1      !  horizontal shape =-1, damping in Med and Red Seas only
                            !                   =XX, damping poleward of XX degrees (XX>0)
                            !                      + F(distance-to-coast) + Red and Med Seas
-   nn_zdmp     =    1      !  vertical   shape =0    damping throughout the water column
+   nn_zdmp     =    0      !  vertical   shape =0    damping throughout the water column
                            !                   =1 no damping in the mixing layer (kz  criteria)
                            !                   =2 no damping in the mixed  layer (rho crieria)
Index: /branches/2011/dev_LOCEAN_2011/DOC/TexFiles/Namelist/namtsd
===================================================================
--- /branches/2011/dev_LOCEAN_2011/DOC/TexFiles/Namelist/namtsd	(revision 3037)
+++ /branches/2011/dev_LOCEAN_2011/DOC/TexFiles/Namelist/namtsd	(revision 3037)
@@ -0,0 +1,12 @@
+!-----------------------------------------------------------------------
+&namtsd    !   data : Temperature  & Salinity
+!-----------------------------------------------------------------------
+!          ! file name ! frequency (hours)         ! variable     ! time interp. ! clim  !'yearly' or ! weights  ! rotation !
+!          !           !  (if <0  months)          !   name       !  (logical)   ! (T/F) ! 'monthly'  ! filename ! pairing  !
+   sn_tem  = 'data_1m_potential_temperature_nomask', -1,'votemper',  .true.      , .true., 'yearly'   , ' '      , ' '
+   sn_sal  = 'data_1m_salinity_nomask'             , -1,'vosaline',  .true.      , .true., 'yearly'   , ''       , ' '
+   !
+   cn_dir        = './'     !  root directory for the location of the runoff files
+   ln_tsd_init   = .true.   !  Initialisation of ocean T & S with T &S input data (T) or not (F)
+   ln_tsd_tradmp = .true.   !  damping of ocean T & S toward T &S input data (T) or not (F)
+/