Index: /branches/2011/dev_r2802_UKMO8_sbccpl/NEMOGCM/CONFIG/GYRE/EXP00/namelist
===================================================================
--- /branches/2011/dev_r2802_UKMO8_sbccpl/NEMOGCM/CONFIG/GYRE/EXP00/namelist	(revision 3038)
+++ /branches/2011/dev_r2802_UKMO8_sbccpl/NEMOGCM/CONFIG/GYRE/EXP00/namelist	(revision 3039)
@@ -3,5 +3,5 @@
 !! namelists    2 - Domain           (namzgr, namzgr_sco, namdom, namdta_tem, namdta_sal)
 !!              3 - Surface boundary (namsbc, namsbc_ana, namsbc_flx, namsbc_clio, namsbc_core
-!!                                    namsbc_cpl, namsbc_cpl_co2 namtra_qsr, namsbc_rnf, 
+!!                                    namsbc_cpl, namtra_qsr, namsbc_rnf, 
 !!                                    namsbc_apr, namsbc_ssr, namsbc_alb)
 !!              4 - lateral boundary (namlbc, namcla, namobc, namagrif, nambdy, nambdy_tide)
@@ -121,5 +121,4 @@
 !!   namsbc_core     CORE bulk formulea formulation
 !!   namsbc_cpl      CouPLed            formulation                     ("key_coupled")
-!!   namsbc_cpl_co2  coupled ocean/biogeo/atmosphere model              ("key_cpl_carbon_cycle")
 !!   namtra_qsr      penetrative solar radiation
 !!   namsbc_rnf      river runoffs
@@ -212,31 +211,23 @@
 &namsbc_cpl    !   coupled ocean/atmosphere model                       ("key_coupled")
 !-----------------------------------------------------------------------
-!                                      ! send
-cn_snd_temperature= 'weighted oce and ice'  !  'oce only' 'weighted oce and ice' 'mixed oce-ice'
-cn_snd_albedo     = 'weighted ice'          !  'none' 'weighted ice' 'mixed oce-ice'
-cn_snd_thickness  = 'none'                  !  'none' 'weighted ice and snow'
-cn_snd_crt_nature = 'none'                  !  'none' 'oce only' 'weighted oce and ice' 'mixed oce-ice'
-cn_snd_crt_refere = 'spherical'             !  'spherical' 'cartesian'
-cn_snd_crt_orient = 'eastward-northward'    !  'eastward-northward' or 'local grid'
-cn_snd_crt_grid   = 'T'                     !  'T'
-!                                      ! receive
-cn_rcv_w10m       = 'none'                  !  'none' 'coupled'
-cn_rcv_taumod     = 'coupled'               !  'none' 'coupled'
-cn_rcv_tau_nature = 'oce only'              !  'oce only' 'oce and ice' 'mixed oce-ice'
-cn_rcv_tau_refere = 'cartesian'             !  'spherical' 'cartesian'
-cn_rcv_tau_orient = 'eastward-northward'    !  'eastward-northward' or 'local grid'
-cn_rcv_tau_grid   = 'U,V'                   !  'T' 'U,V' 'U,V,F' 'U,V,I' 'T,F' 'T,I' 'T,U,V'
-cn_rcv_dqnsdt     = 'coupled'               !  'none' 'coupled'
-cn_rcv_qsr        = 'oce and ice'           !  'conservative' 'oce and ice' 'mixed oce-ice'
-cn_rcv_qns        = 'oce and ice'           !  'conservative' 'oce and ice' 'mixed oce-ice'
-cn_rcv_emp        = 'conservative'          !  'conservative' 'oce and ice' 'mixed oce-ice'
-cn_rcv_rnf        = 'coupled'               !  'coupled' 'climato' 'mixed'
-cn_rcv_cal        = 'coupled'               !  'none' 'coupled'
-/
-!-----------------------------------------------------------------------
-&namsbc_cpl_co2   !   coupled ocean/biogeo/atmosphere model             ("key_cpl_carbon_cycle")
-!-----------------------------------------------------------------------
-   cn_snd_co2     = 'coupled'         ! send    : 'none' 'coupled'
-   cn_rcv_co2     = 'coupled'         ! receive : 'none' 'coupled'
+!                    !     description       !  multiple  !    vector   !      vector          ! vector !
+!                    !                       ! categories !  reference  !    orientation       ! grids  !
+! send
+sn_snd_temp   =       'weighted oce and ice' ,    'no'    ,     ''      ,         ''           ,   ''    
+sn_snd_alb    =       'weighted ice'         ,    'no'    ,     ''      ,         ''           ,   ''    
+sn_snd_thick  =       'none'                 ,    'no'   ,     ''      ,         ''           ,   ''    
+sn_snd_crt    =       'none'                 ,    'no'    , 'spherical' , 'eastward-northward' ,  'T'       
+sn_snd_co2    =       'coupled'              ,    'no'    ,     ''      ,         ''           ,   ''        
+! receive
+sn_rcv_w10m   =       'none'                 ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_taumod =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_tau    =       'oce only'             ,    'no'    , 'cartesian' , 'eastward-northward',  'U,V'   
+sn_rcv_dqnsdt =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_qsr    =       'oce and ice'          ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_qns    =       'oce and ice'          ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_emp    =       'conservative'         ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_rnf    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_cal    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_co2    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
 /
 !-----------------------------------------------------------------------
Index: /branches/2011/dev_r2802_UKMO8_sbccpl/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist
===================================================================
--- /branches/2011/dev_r2802_UKMO8_sbccpl/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist	(revision 3038)
+++ /branches/2011/dev_r2802_UKMO8_sbccpl/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist	(revision 3039)
@@ -3,5 +3,5 @@
 !! namelists    2 - Domain           (namzgr, namzgr_sco, namdom, namdta_tem, namdta_sal)
 !!              3 - Surface boundary (namsbc, namsbc_ana, namsbc_flx, namsbc_clio, namsbc_core
-!!                                    namsbc_cpl, namsbc_cpl_co2 namtra_qsr, namsbc_rnf, 
+!!                                    namsbc_cpl, namtra_qsr, namsbc_rnf, 
 !!                                    namsbc_apr, namsbc_ssr, namsbc_alb)
 !!              4 - lateral boundary (namlbc, namcla, namobc, namagrif, nambdy, nambdy_tide)
@@ -121,5 +121,4 @@
 !!   namsbc_core     CORE bulk formulea formulation
 !!   namsbc_cpl      CouPLed            formulation                     ("key_coupled")
-!!   namsbc_cpl_co2  coupled ocean/biogeo/atmosphere model              ("key_cpl_carbon_cycle")
 !!   namtra_qsr      penetrative solar radiation
 !!   namsbc_rnf      river runoffs
@@ -212,31 +211,23 @@
 &namsbc_cpl    !   coupled ocean/atmosphere model                       ("key_coupled")
 !-----------------------------------------------------------------------
-!                                      ! send
-cn_snd_temperature= 'weighted oce and ice'  !  'oce only' 'weighted oce and ice' 'mixed oce-ice'
-cn_snd_albedo     = 'weighted ice'          !  'none' 'weighted ice' 'mixed oce-ice'
-cn_snd_thickness  = 'none'                  !  'none' 'weighted ice and snow'
-cn_snd_crt_nature = 'none'                  !  'none' 'oce only' 'weighted oce and ice' 'mixed oce-ice'
-cn_snd_crt_refere = 'spherical'             !  'spherical' 'cartesian'
-cn_snd_crt_orient = 'eastward-northward'    !  'eastward-northward' or 'local grid'
-cn_snd_crt_grid   = 'T'                     !  'T'
-!                                      ! receive
-cn_rcv_w10m       = 'none'                  !  'none' 'coupled'
-cn_rcv_taumod     = 'coupled'               !  'none' 'coupled'
-cn_rcv_tau_nature = 'oce only'              !  'oce only' 'oce and ice' 'mixed oce-ice'
-cn_rcv_tau_refere = 'cartesian'             !  'spherical' 'cartesian'
-cn_rcv_tau_orient = 'eastward-northward'    !  'eastward-northward' or 'local grid'
-cn_rcv_tau_grid   = 'U,V'                   !  'T' 'U,V' 'U,V,F' 'U,V,I' 'T,F' 'T,I' 'T,U,V'
-cn_rcv_dqnsdt     = 'coupled'               !  'none' 'coupled'
-cn_rcv_qsr        = 'oce and ice'           !  'conservative' 'oce and ice' 'mixed oce-ice'
-cn_rcv_qns        = 'oce and ice'           !  'conservative' 'oce and ice' 'mixed oce-ice'
-cn_rcv_emp        = 'conservative'          !  'conservative' 'oce and ice' 'mixed oce-ice'
-cn_rcv_rnf        = 'coupled'               !  'coupled' 'climato' 'mixed'
-cn_rcv_cal        = 'coupled'               !  'none' 'coupled'
-/
-!-----------------------------------------------------------------------
-&namsbc_cpl_co2   !   coupled ocean/biogeo/atmosphere model             ("key_cpl_carbon_cycle")
-!-----------------------------------------------------------------------
-   cn_snd_co2     = 'coupled'         ! send    : 'none' 'coupled'
-   cn_rcv_co2     = 'coupled'         ! receive : 'none' 'coupled'
+!                    !     description       !  multiple  !    vector   !      vector          ! vector !
+!                    !                       ! categories !  reference  !    orientation       ! grids  !
+! send
+sn_snd_temp   =       'weighted oce and ice' ,    'no'    ,     ''      ,         ''           ,   ''    
+sn_snd_alb    =       'weighted ice'         ,    'no'    ,     ''      ,         ''           ,   ''    
+sn_snd_thick  =       'none'                 ,    'no'   ,     ''      ,         ''           ,   ''    
+sn_snd_crt    =       'none'                 ,    'no'    , 'spherical' , 'eastward-northward' ,  'T'       
+sn_snd_co2    =       'coupled'              ,    'no'    ,     ''      ,         ''           ,   ''        
+! receive
+sn_rcv_w10m   =       'none'                 ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_taumod =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_tau    =       'oce only'             ,    'no'    , 'cartesian' , 'eastward-northward',  'U,V'   
+sn_rcv_dqnsdt =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_qsr    =       'oce and ice'          ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_qns    =       'oce and ice'          ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_emp    =       'conservative'         ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_rnf    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_cal    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_co2    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
 /
 !-----------------------------------------------------------------------
Index: /branches/2011/dev_r2802_UKMO8_sbccpl/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist
===================================================================
--- /branches/2011/dev_r2802_UKMO8_sbccpl/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 3038)
+++ /branches/2011/dev_r2802_UKMO8_sbccpl/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 3039)
@@ -3,5 +3,5 @@
 !! namelists    2 - Domain           (namzgr, namzgr_sco, namdom, namdta_tem, namdta_sal)
 !!              3 - Surface boundary (namsbc, namsbc_ana, namsbc_flx, namsbc_clio, namsbc_core
-!!                                    namsbc_cpl, namsbc_cpl_co2 namtra_qsr, namsbc_rnf, 
+!!                                    namsbc_cpl, namtra_qsr, namsbc_rnf, 
 !!                                    namsbc_apr, namsbc_ssr, namsbc_alb)
 !!              4 - lateral boundary (namlbc, namcla, namobc, namagrif, nambdy, nambdy_tide)
Index: /branches/2011/dev_r2802_UKMO8_sbccpl/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist
===================================================================
--- /branches/2011/dev_r2802_UKMO8_sbccpl/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist	(revision 3038)
+++ /branches/2011/dev_r2802_UKMO8_sbccpl/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist	(revision 3039)
@@ -3,5 +3,5 @@
 !! namelists    2 - Domain           (namzgr, namzgr_sco, namdom, namdta_tem, namdta_sal)
 !!              3 - Surface boundary (namsbc, namsbc_ana, namsbc_flx, namsbc_clio, namsbc_core
-!!                                    namsbc_cpl, namsbc_cpl_co2 namtra_qsr, namsbc_rnf, 
+!!                                    namsbc_cpl, namtra_qsr, namsbc_rnf, 
 !!                                    namsbc_apr, namsbc_ssr, namsbc_alb)
 !!              4 - lateral boundary (namlbc, namcla, namobc, namagrif, nambdy, nambdy_tide)
@@ -121,5 +121,4 @@
 !!   namsbc_core     CORE bulk formulea formulation
 !!   namsbc_cpl      CouPLed            formulation                     ("key_coupled")
-!!   namsbc_cpl_co2  coupled ocean/biogeo/atmosphere model              ("key_cpl_carbon_cycle")
 !!   namtra_qsr      penetrative solar radiation
 !!   namsbc_rnf      river runoffs
@@ -212,31 +211,23 @@
 &namsbc_cpl    !   coupled ocean/atmosphere model                       ("key_coupled")
 !-----------------------------------------------------------------------
-!                                      ! send
-cn_snd_temperature= 'weighted oce and ice'  !  'oce only' 'weighted oce and ice' 'mixed oce-ice'
-cn_snd_albedo     = 'weighted ice'          !  'none' 'weighted ice' 'mixed oce-ice'
-cn_snd_thickness  = 'none'                  !  'none' 'weighted ice and snow'
-cn_snd_crt_nature = 'none'                  !  'none' 'oce only' 'weighted oce and ice' 'mixed oce-ice'
-cn_snd_crt_refere = 'spherical'             !  'spherical' 'cartesian'
-cn_snd_crt_orient = 'eastward-northward'    !  'eastward-northward' or 'local grid'
-cn_snd_crt_grid   = 'T'                     !  'T'
-!                                      ! receive
-cn_rcv_w10m       = 'none'                  !  'none' 'coupled'
-cn_rcv_taumod     = 'coupled'               !  'none' 'coupled'
-cn_rcv_tau_nature = 'oce only'              !  'oce only' 'oce and ice' 'mixed oce-ice'
-cn_rcv_tau_refere = 'cartesian'             !  'spherical' 'cartesian'
-cn_rcv_tau_orient = 'eastward-northward'    !  'eastward-northward' or 'local grid'
-cn_rcv_tau_grid   = 'U,V'                   !  'T' 'U,V' 'U,V,F' 'U,V,I' 'T,F' 'T,I' 'T,U,V'
-cn_rcv_dqnsdt     = 'coupled'               !  'none' 'coupled'
-cn_rcv_qsr        = 'oce and ice'           !  'conservative' 'oce and ice' 'mixed oce-ice'
-cn_rcv_qns        = 'oce and ice'           !  'conservative' 'oce and ice' 'mixed oce-ice'
-cn_rcv_emp        = 'conservative'          !  'conservative' 'oce and ice' 'mixed oce-ice'
-cn_rcv_rnf        = 'coupled'               !  'coupled' 'climato' 'mixed'
-cn_rcv_cal        = 'coupled'               !  'none' 'coupled'
-/
-!-----------------------------------------------------------------------
-&namsbc_cpl_co2   !   coupled ocean/biogeo/atmosphere model             ("key_cpl_carbon_cycle")
-!-----------------------------------------------------------------------
-cn_snd_co2        = 'coupled'         ! send    :  'none' 'coupled'
-cn_rcv_co2        = 'coupled'         ! receive : 'none' 'coupled'
+!                    !     description       !  multiple  !    vector   !      vector          ! vector !
+!                    !                       ! categories !  reference  !    orientation       ! grids  !
+! send
+sn_snd_temp   =       'weighted oce and ice' ,    'no'    ,     ''      ,         ''           ,   ''    
+sn_snd_alb    =       'weighted ice'         ,    'no'    ,     ''      ,         ''           ,   ''    
+sn_snd_thick  =       'none'                 ,    'no'   ,     ''      ,         ''           ,   ''    
+sn_snd_crt    =       'none'                 ,    'no'    , 'spherical' , 'eastward-northward' ,  'T'       
+sn_snd_co2    =       'coupled'              ,    'no'    ,     ''      ,         ''           ,   ''        
+! receive
+sn_rcv_w10m   =       'none'                 ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_taumod =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_tau    =       'oce only'             ,    'no'    , 'cartesian' , 'eastward-northward',  'U,V'   
+sn_rcv_dqnsdt =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_qsr    =       'oce and ice'          ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_qns    =       'oce and ice'          ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_emp    =       'conservative'         ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_rnf    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_cal    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_co2    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
 /
 !-----------------------------------------------------------------------
Index: /branches/2011/dev_r2802_UKMO8_sbccpl/NEMOGCM/CONFIG/POMME/EXP00/namelist
===================================================================
--- /branches/2011/dev_r2802_UKMO8_sbccpl/NEMOGCM/CONFIG/POMME/EXP00/namelist	(revision 3038)
+++ /branches/2011/dev_r2802_UKMO8_sbccpl/NEMOGCM/CONFIG/POMME/EXP00/namelist	(revision 3039)
@@ -3,5 +3,5 @@
 !! namelists    2 - Domain           (namzgr, namzgr_sco, namdom, namdta_tem, namdta_sal)
 !!              3 - Surface boundary (namsbc, namsbc_ana, namsbc_flx, namsbc_clio, namsbc_core
-!!                                    namsbc_cpl, namsbc_cpl_co2 namtra_qsr, namsbc_rnf, 
+!!                                    namsbc_cpl, namtra_qsr, namsbc_rnf, 
 !!                                    namsbc_apr, namsbc_ssr, namsbc_alb)
 !!              4 - lateral boundary (namlbc, namcla, namobc, namagrif, nambdy, nambdy_tide)
@@ -121,5 +121,4 @@
 !!   namsbc_core     CORE bulk formulea formulation
 !!   namsbc_cpl      CouPLed            formulation                     ("key_coupled")
-!!   namsbc_cpl_co2  coupled ocean/biogeo/atmosphere model              ("key_cpl_carbon_cycle")
 !!   namtra_qsr      penetrative solar radiation
 !!   namsbc_rnf      river runoffs
@@ -212,31 +211,23 @@
 &namsbc_cpl    !   coupled ocean/atmosphere model                       ("key_coupled")
 !-----------------------------------------------------------------------
-!                                      ! send
-cn_snd_temperature= 'weighted oce and ice'  !  'oce only' 'weighted oce and ice' 'mixed oce-ice'
-cn_snd_albedo     = 'weighted ice'          !  'none' 'weighted ice' 'mixed oce-ice'
-cn_snd_thickness  = 'none'                  !  'none' 'weighted ice and snow'
-cn_snd_crt_nature = 'none'                  !  'none' 'oce only' 'weighted oce and ice' 'mixed oce-ice'
-cn_snd_crt_refere = 'spherical'             !  'spherical' 'cartesian'
-cn_snd_crt_orient = 'eastward-northward'    !  'eastward-northward' or 'local grid'
-cn_snd_crt_grid   = 'T'                     !  'T'
-!                                      ! receive
-cn_rcv_w10m       = 'none'                  !  'none' 'coupled'
-cn_rcv_taumod     = 'coupled'               !  'none' 'coupled'
-cn_rcv_tau_nature = 'oce only'              !  'oce only' 'oce and ice' 'mixed oce-ice'
-cn_rcv_tau_refere = 'cartesian'             !  'spherical' 'cartesian'
-cn_rcv_tau_orient = 'eastward-northward'    !  'eastward-northward' or 'local grid'
-cn_rcv_tau_grid   = 'U,V'                   !  'T' 'U,V' 'U,V,F' 'U,V,I' 'T,F' 'T,I' 'T,U,V'
-cn_rcv_dqnsdt     = 'coupled'               !  'none' 'coupled'
-cn_rcv_qsr        = 'oce and ice'           !  'conservative' 'oce and ice' 'mixed oce-ice'
-cn_rcv_qns        = 'oce and ice'           !  'conservative' 'oce and ice' 'mixed oce-ice'
-cn_rcv_emp        = 'conservative'          !  'conservative' 'oce and ice' 'mixed oce-ice'
-cn_rcv_rnf        = 'coupled'               !  'coupled' 'climato' 'mixed'
-cn_rcv_cal        = 'coupled'               !  'none' 'coupled'
-/
-!-----------------------------------------------------------------------
-&namsbc_cpl_co2   !   coupled ocean/biogeo/atmosphere model             ("key_cpl_carbon_cycle")
-!-----------------------------------------------------------------------
-   cn_snd_co2     = 'coupled'         ! send    : 'none' 'coupled'
-   cn_rcv_co2     = 'coupled'         ! receive : 'none' 'coupled'
+!                    !     description       !  multiple  !    vector   !      vector          ! vector !
+!                    !                       ! categories !  reference  !    orientation       ! grids  !
+! send
+sn_snd_temp   =       'weighted oce and ice' ,    'no'    ,     ''      ,         ''           ,   ''    
+sn_snd_alb    =       'weighted ice'         ,    'no'    ,     ''      ,         ''           ,   ''    
+sn_snd_thick  =       'none'                 ,    'no'   ,     ''      ,         ''           ,   ''    
+sn_snd_crt    =       'none'                 ,    'no'    , 'spherical' , 'eastward-northward' ,  'T'       
+sn_snd_co2    =       'coupled'              ,    'no'    ,     ''      ,         ''           ,   ''        
+! receive
+sn_rcv_w10m   =       'none'                 ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_taumod =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_tau    =       'oce only'             ,    'no'    , 'cartesian' , 'eastward-northward',  'U,V'   
+sn_rcv_dqnsdt =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_qsr    =       'oce and ice'          ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_qns    =       'oce and ice'          ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_emp    =       'conservative'         ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_rnf    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_cal    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
+sn_rcv_co2    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''    
 /
 !-----------------------------------------------------------------------
Index: /branches/2011/dev_r2802_UKMO8_sbccpl/NEMOGCM/NEMO/OPA_SRC/SBC/cpl_oasis3.F90
===================================================================
--- /branches/2011/dev_r2802_UKMO8_sbccpl/NEMOGCM/NEMO/OPA_SRC/SBC/cpl_oasis3.F90	(revision 3038)
+++ /branches/2011/dev_r2802_UKMO8_sbccpl/NEMOGCM/NEMO/OPA_SRC/SBC/cpl_oasis3.F90	(revision 3039)
@@ -13,4 +13,5 @@
    !!   " "  !  06-01  (W. Park) modification of physical part
    !!   " "  !  06-02  (R. Redler, W. Park) buffer array fix for root exchange
+   !!   3.4  !  11-11  (C. Harris) Changes to allow mutiple category fields
    !!----------------------------------------------------------------------
 #if defined key_oasis3
Index: /branches/2011/dev_r2802_UKMO8_sbccpl/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90
===================================================================
--- /branches/2011/dev_r2802_UKMO8_sbccpl/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 3038)
+++ /branches/2011/dev_r2802_UKMO8_sbccpl/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 3039)
@@ -7,4 +7,5 @@
    !!            3.0  ! 2008-02  (G. Madec, C Talandier)  surface module
    !!            3.1  ! 2009_02  (G. Madec, S. Masson, E. Maisonave, A. Caubel) generic coupled interface
+   !!            3.4  ! 2011_11  (C. Harris) more flexibility + multi-category fields
    !!----------------------------------------------------------------------
 #if defined key_oasis3 || defined key_oasis4