Index: /branches/2011/dev_r2802_UKMO8_cice/NEMOGCM/NEMO/OPA_SRC/DOM/phycst.F90
===================================================================
--- /branches/2011/dev_r2802_UKMO8_cice/NEMOGCM/NEMO/OPA_SRC/DOM/phycst.F90	(revision 3039)
+++ /branches/2011/dev_r2802_UKMO8_cice/NEMOGCM/NEMO/OPA_SRC/DOM/phycst.F90	(revision 3040)
@@ -9,4 +9,5 @@
    !!              -   !  2006-08  (G. Madec)  style 
    !!             3.2  !  2006-08  (S. Masson, G. Madec)  suppress useless variables + style 
+   !!             3.4  !  2011-11  (C. Harris)  minor changes for CICE constants 
    !!----------------------------------------------------------------------
 
Index: /branches/2011/dev_r2802_UKMO8_cice/NEMOGCM/NEMO/OPA_SRC/IOM/prtctl.F90
===================================================================
--- /branches/2011/dev_r2802_UKMO8_cice/NEMOGCM/NEMO/OPA_SRC/IOM/prtctl.F90	(revision 3039)
+++ /branches/2011/dev_r2802_UKMO8_cice/NEMOGCM/NEMO/OPA_SRC/IOM/prtctl.F90	(revision 3040)
@@ -5,4 +5,5 @@
    !!======================================================================
    !! History :  9.0  !  05-07  (C. Talandier) original code
+   !!            3.4  !  11-11  (C. Harris) decomposition changes for running with CICE
    !!----------------------------------------------------------------------
    USE dom_oce          ! ocean space and time domain variables
Index: /branches/2011/dev_r2802_UKMO8_cice/NEMOGCM/NEMO/OPA_SRC/LBC/mppini.F90
===================================================================
--- /branches/2011/dev_r2802_UKMO8_cice/NEMOGCM/NEMO/OPA_SRC/LBC/mppini.F90	(revision 3039)
+++ /branches/2011/dev_r2802_UKMO8_cice/NEMOGCM/NEMO/OPA_SRC/LBC/mppini.F90	(revision 3040)
@@ -125,4 +125,5 @@
       !!        !  98-05  (M. Imbard, J. Escobar, L. Colombet )  SHMEM and MPI versions
       !!   8.5  !  02-08  (G. Madec)  F90 : free form
+      !!   3.4  !  11-11  (C. Harris) decomposition changes for running with CICE
       !!----------------------------------------------------------------------
       INTEGER  ::   ji, jj, jn   ! dummy loop indices
Index: /branches/2011/dev_r2802_UKMO8_cice/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_ice.F90
===================================================================
--- /branches/2011/dev_r2802_UKMO8_cice/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_ice.F90	(revision 3039)
+++ /branches/2011/dev_r2802_UKMO8_cice/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_ice.F90	(revision 3040)
@@ -6,5 +6,6 @@
    !! History :  3.0  ! 2006-08  (G. Madec)  Surface module
    !!            3.2  ! 2009-06  (S. Masson) merge with ice_oce
-   !!            4.0  ! 2011-01  (A. R. Porter, STFC Daresbury) dynamical allocation
+   !!            3.3.1! 2011-01  (A. R. Porter, STFC Daresbury) dynamical allocation
+   !!            3.4  ! 2011-11  (C. Harris) CICE added as an option
    !!----------------------------------------------------------------------
 #if defined key_lim3 || defined key_lim2 || defined key_cice
Index: /branches/2011/dev_r2802_UKMO8_cice/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_core.F90
===================================================================
--- /branches/2011/dev_r2802_UKMO8_cice/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_core.F90	(revision 3039)
+++ /branches/2011/dev_r2802_UKMO8_cice/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_core.F90	(revision 3040)
@@ -14,4 +14,5 @@
    !!            3.2  !  2009-04  (B. Lemaire)  Introduce iom_put
    !!            3.3  !  2010-10  (S. Masson)  add diurnal cycle
+   !!            3.4  !  2011-11  (C. Harris) Fill arrays required by CICE
    !!----------------------------------------------------------------------
 
Index: /branches/2011/dev_r2802_UKMO8_cice/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_cice.F90
===================================================================
--- /branches/2011/dev_r2802_UKMO8_cice/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_cice.F90	(revision 3039)
+++ /branches/2011/dev_r2802_UKMO8_cice/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_cice.F90	(revision 3040)
@@ -94,5 +94,6 @@
       !!                CICE Sea Ice Model time stepping 
       !!
-      !! ** Method  : - Extra forcing fields for CICE  
+      !! ** Method  : - Get any extra forcing fields for CICE  
+      !!              - Prepare forcing fields
       !!              - CICE model time stepping
       !!              - call the routine that computes mass and 
@@ -131,5 +132,5 @@
       !!---------------------------------------------------------------------
       !!                    ***  ROUTINE cice_sbc_init  ***
-      !! ** Purpose: Initialise ice concentation for NEMO and coupling
+      !! ** Purpose: Initialise ice related fields for NEMO and coupling
       !!
       INTEGER, INTENT( in  ) ::   nsbc ! surface forcing type
@@ -183,5 +184,5 @@
       !!---------------------------------------------------------------------
       !!                    ***  ROUTINE cice_sbc_in  ***
-      !! ** Purpose: Set GBM coupling fields needed for CICE
+      !! ** Purpose: Set coupling fields and pass to CICE
       !!
       USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
@@ -283,9 +284,4 @@
         CALL nemo2cice(ztmp,fsurfn_f(:,:,jpl,:),'T', 1. )
      ENDDO
-
-! -------------------------------------------------------------------------------
-! - sga
-! - core forcing
-!   allow for extra dimension in input arrays
 
      ELSE IF (nsbc == 4) THEN
@@ -379,5 +375,5 @@
       !!---------------------------------------------------------------------
       !!                    ***  ROUTINE cice_sbc_out  ***
-      !! ** Purpose: Set coupling fields needed for NEMO
+      !! ** Purpose: Get fields from CICE and set surface fields for NEMO
       !!
       USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
@@ -544,5 +540,5 @@
       !!---------------------------------------------------------------------
       !!                    ***  ROUTINE cice_sbc_hadgam  ***
-      !! ** Purpose: Prepare fields needed to pass to HadGEM3 atmosphere
+      !! ** Purpose: Prepare fields needed to pass to HadGAM3 atmosphere
       !! 
       !!
@@ -689,5 +685,5 @@
       sprecip(:,:) = sf(jp_snow)%fnow(:,:,1)
       tprecip(:,:) = sf(jp_snow)%fnow(:,:,1)+sf(jp_rain)%fnow(:,:,1)
-! May be better to do this conversion somewhere else????
+! May be better to do this conversion somewhere else
       qla_ice(:,:,1) = -Lsub*sf(jp_sblm)%fnow(:,:,1)
       topmelt(:,:,1) = sf(jp_top1)%fnow(:,:,1)
Index: /branches/2011/dev_r2802_UKMO8_cice/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90
===================================================================
--- /branches/2011/dev_r2802_UKMO8_cice/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 3039)
+++ /branches/2011/dev_r2802_UKMO8_cice/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 3040)
@@ -11,4 +11,5 @@
    !!             -   ! 2010-11  (G. Madec) ice-ocean stress always computed at each ocean time-step
    !!             -   ! 2010-10  (J. Chanut, C. Bricaud, G. Madec)  add the surface pressure forcing
+   !!            3.4  ! 2011-11  (C. Harris) CICE added as an option
    !!----------------------------------------------------------------------
 
Index: /branches/2011/dev_r2802_UKMO8_cice/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90
===================================================================
--- /branches/2011/dev_r2802_UKMO8_cice/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 3039)
+++ /branches/2011/dev_r2802_UKMO8_cice/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 3040)
@@ -27,5 +27,6 @@
    !!            3.3  ! 2010-05  (K. Mogensen, A. Weaver, M. Martin, D. Lea) Assimilation interface 
    !!             -   ! 2010-10  (C. Ethe, G. Madec) reorganisation of initialisation phase
-   !!            4.0  ! 2011-01  (A. R. Porter, STFC Daresbury) dynamical allocation
+   !!            3.3.1! 2011-01  (A. R. Porter, STFC Daresbury) dynamical allocation
+   !!            3.4  ! 2011-11  (C. Harris) decomposition changes for running with CICE
    !!----------------------------------------------------------------------
 